Create a DTS intermediate CA certificate
Creates a DTS intermediate CA certificate, which sits between the DTS root CA certificate and the signer certificate to sign DTS signer certificates.
DTS intermediate CA certificates are only relevant when using the 3-tier certificate model, where a DTS root CA signs an intermediate CA, which in turn signs the signer certificate. They are only supported for unmanaged (external) DTS root CA certificates that have useIntermediateCa set to true. For an explanation of the 2-tier and 3-tier models and guidance on choosing between them, refer to the DTS certificates overview.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>dtsCaCertificateId*stringUnique identifier of the DTS root CA certificate.
uuidapplication/json- body
certificatePem*stringDTS intermediate CA certificate encoded in PEM format
usages*array<>The intended usages for this intermediate CA. Must contain at least one value.
1 <= itemsDTS intermediate CA certificate created
application/json- response
id*stringUnique identifier for this DTS intermediate CA certificate.
uuidactive*booleanIndicates whether the DTS intermediate CA certificate is active. Activating a certificate does not affect your ability to create or sign subordinate signer certificates: you can build a complete certificate chain while the intermediate CA is inactive. Instead, active certificates are included in the selection process MATTR VII uses when choosing the certificate chain to sign a trusted list (VICAL or RICAL), where MATTR VII prefers the most recently created active certificate at each level of the chain.
certificatePem*stringDTS intermediate CA certificate in PEM format.
certificateFingerprint*stringSHA-256 hash of DTS intermediate CA certificate content.
certificateData*usages?array<>caCertificateId?stringUnique identifier of the DTS root CA certificate used to sign the intermediate certificate.
uuidcurl -X POST "https://example.com/v1/ecosystems/certificates/ca/b0aae560-10e7-4247-8e96-7cdd3578a1e2/intermediate" \ -H "Content-Type: application/json" \ -d '{ "certificatePem": "string", "usages": [ "VICAL" ] }'{ "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "active": true, "certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----", "certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172", "certificateData": { "commonName": "example.com", "country": "US", "organisationName": "Example Inc.", "notAfter": "2024-10-22T00:00:00Z", "notBefore": "2023-10-22T00:00:00Z" }, "usages": [ "VICAL" ], "caCertificateId": "3c667fc8-c92c-4eee-a159-5221f574052e"}How would you rate this page?
Retrieve DTS root CA certificate revocation list GET
Retrieves revocation list for a given DTS root CA certificate. This endpoint is intended for public consumption, and as such does not require authentication.
Retrieve all DTS intermediate CA certificates under a root CA GET
Retrieves all DTS intermediate CA certificates issued under the specified DTS root CA.